%global unicodedir %{_datadir}/unicode
%global ucddir %{unicodedir}/ucd

Summary:        Unicode Character Database
Name:           unicode-ucd
Version:        15.0.0
Release:        4%{?dist}
License:        Unicode-DFS-2016
URL:            http://www.unicode.org/ucd/
Source0:        http://www.unicode.org/Public/zipped/%{version}/UCD.zip
# see: http://www.unicode.org/copyright.html
Source1:        copyright.html
Source2:        http://www.unicode.org/Public/zipped/%{version}/Unihan.zip
BuildArch:      noarch

%description
The Unicode Character Database (UCD) consists of a number of data files listing
Unicode character properties and related data. It also includes data files
containing test data for conformance to several important Unicode algorithms.


%package unihan
Summary:        Unicode Han Database
Requires:       %{name} = %{version}-%{release}

%description unihan
This package contains Unihan.zip which contains the data files for the Unified
Han database of Hanzi/Kanji/Hanja Chinese characters.


%prep
%autosetup -c


%build


%install
mkdir -p %{buildroot}%{ucddir}
cp -ar . %{buildroot}%{ucddir}
cp -p %{SOURCE2} %{buildroot}%{ucddir}
cp -p %{SOURCE1} .


%files
%doc copyright.html
%dir %{unicodedir}
%{ucddir}
%exclude %{ucddir}/Unihan.zip

%files unihan
%{ucddir}/Unihan.zip


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0.0-3
- bump Release for revert commit

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Wang Guodong <gordonwwang@tencent.com> - 15.0.0-1
- Upgrade to version 15.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 cunshunxia <cunshunxia@tencent.com> - 14.0.0-1
- initial build
